# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-i18n
%define composer_name   zend-i18n
%define composer_vendor zendframework
%define library         I18n

%global php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.7.3
Release:        %mkrel 1
Summary:        Zend Framework %{library} component
Group:          Development/PHP
License:        BSD
URL:            https://framework.zend.com/
Source0:        https://github.com/zendframework/zend-i18n/archive/%{github_name}-release-%{version}.tar.gz
BuildArch:      noarch

# From composer, "require": {
#        "php": "^5.5 || ^7.0",
#        "zendframework/zend-stdlib": "^2.7 || ^3.0"
Requires:       php >= 5.3.23
Requires:       php-composer(%{composer_vendor}/zend-stdlib)           >= 2.7
# From composer, "suggest": {
#        "ext-intl": "Required for most features of Zend\\I18n; included in default builds of PHP",
#        "zendframework/zend-cache": "Zend\\Cache component",
#        "zendframework/zend-config": "Zend\\Config component",
#        "zendframework/zend-eventmanager": "You should install this package to use the events in the translator",
#        "zendframework/zend-filter": "You should install this package to use the provided filters",
#        "zendframework/zend-servicemanager": "Zend\\ServiceManager component",
#        "zendframework/zend-validator": "You should install this package to use the provided validators",
#        "zendframework/zend-view": "You should install this package to use the provided view helpers",
#        "zendframework/zend-resources": "Translation resources"
Suggests:       php-composer(%{composer_vendor}/zend-cache)
Suggests:       php-composer(%{composer_vendor}/zend-config)
Suggests:       php-composer(%{composer_vendor}/zend-eventmanager)
Suggests:       php-composer(%{composer_vendor}/zend-filter)
Suggests:       php-composer(%{composer_vendor}/zend-servicemanager)
Suggests:       php-composer(%{composer_vendor}/zend-validator)
Suggests:       php-composer(%{composer_vendor}/zend-view)
Suggests:       php-composer(%{composer_vendor}/zend-i18n-resources)
Requires:       php-intl
# From phpcompatinfo report for version 2.5.1
Requires:       php-ctype
Requires:       php-pcre

Obsoletes:      php-ZendFramework2-%{library} < 2.5
Provides:       php-ZendFramework2-%{library} = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Zend\I18n comes with a complete translation suite which supports all major
formats and includes popular features like plural translations and text
domains. The Translator component is mostly dependency free, except for
the fallback to a default locale, where it relies on the Intl PHP extension.

The translator itself is initialized without any parameters, as any
configuration to it is optional. A translator without any translations
will actually do nothing but just return the given message IDs.

%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Zend/
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

%files
%doc LICENSE.md
%doc CONTRIBUTING.md README.md
%doc composer.json
%{php_libdir}/Zend/%{library}


%changelog
* Sun May 07 2017 guillomovitch <guillomovitch> 2.7.3-1.mga6
+ Revision: 1099493
- imported package php-zendframework-zend-i18n

